Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Ressource

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Ressource

public class Ressource
extends java.lang.Object

Ressource
Cette classe permet de manipuler les informations relatives à la ressource de stockage d'un intranet
(c)Copyright ESup-Portail 2004

Version:
  1.2
Author:
  Mathieu Larchet

Constructor Summary
`Ressource()` Constructeur

Method Summary
`void` | `addParameter(java.lang.String name, java.lang.String value)` Ajout d'un paramètre spécifique à cette ressource
`java.lang.String` | `getClassname()` La classe d'implémentation de cette ressource
`java.lang.String` | `getDescription()` La description de cette ressource
`java.lang.String` | `getName()` Le nom de cette ressource
`java.util.Hashtable` | `getParameters()` Les paramètres de cette ressource
`void` | `setClassname(java.lang.String classname)` La classe d'implémentation de cette ressource
`void` | `setDescription(java.lang.String description)` La description de cette ressource
`void` | `setName(java.lang.String name)` Le nom de cette ressource
`java.lang.String` | `toXMLString()` La représentation XML de cette ressource

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ressource

    public Ressource()

  Constructeur

Method Detail

### getName

    public java.lang.String getName()

  Le nom de cette ressource

  Returns:

### setName

    public void setName(java.lang.String name)

  Le nom de cette ressource

  Parameters:
    `name` -

### getClassname

    public java.lang.String getClassname()

  La classe d'implémentation de cette ressource

  Returns:

### setClassname

    public void setClassname(java.lang.String classname)

  La classe d'implémentation de cette ressource

  Parameters:
    `classname` -

### getDescription

    public java.lang.String getDescription()

  La description de cette ressource

  Returns:

### setDescription

    public void setDescription(java.lang.String description)

  La description de cette ressource

  Parameters:
    `description` -

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String value)

  Ajout d'un paramètre spécifique à cette ressource

  Parameters:
    `name` - Le nom de cette ressource
    `value` - La classe d'implémentation de cette ressource

### getParameters

    public java.util.Hashtable getParameters()

  Les paramètres de cette ressource

  Returns:

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cette ressource

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD